LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Variables
com::sun::star::i18n::KParseType Constant Group Referencepublished

Constants to specify the type of a parsed token. More...

## Variables
const long | ONE_SINGLE_CHAR = 0x00000001
| One single character like ! # ; : $ et al. More...
const long | BOOLEAN = 0x00000002
| A Boolean operator like <, >, <>, =, <=, >=. More...
const long | IDENTNAME = 0x00000004
| A name matching the conditions passed. More...
const long | SINGLE_QUOTE_NAME = 0x00000008
| "A single-quoted name matching the conditions passed ( 'na\'me' )." "Dequoted name in ParseResult::DequotedNameOrString ( na'me )." More...
const long | DOUBLE_QUOTE_STRING = 0x00000010
| A double-quoted string ( "str\"i""ng" ). More...
const long | ASC_NUMBER = 0x00000020
| A number where all digits are ASCII characters. More...
const long | UNI_NUMBER = 0x00000040
| A number where at least some digits are Unicode (and maybe ASCII) characters. More...
const long | MISSING_QUOTE = 0x40000000
| Set (ored) if SINGLE_QUOTE_NAME or DOUBLE_QUOTE_STRING has no closing quote. More...
const long | ANY_NUMBER = ASC_NUMBER | UNI_NUMBER
| Any ASCII or Unicode number. More...

## Detailed Description

Constants to specify the type of a parsed token.

Set by XCharacterClassification::parseAnyToken() and XCharacterClassification::parsePredefinedToken() in ParseResult::TokenType.

## Variable Documentation

const long ANY_NUMBER = ASC_NUMBER | UNI_NUMBER

Any ASCII or Unicode number.

const long ASC_NUMBER = 0x00000020

A number where all digits are ASCII characters.

Numerical value in ParseResult::Value.

const long BOOLEAN = 0x00000002

A Boolean operator like <, >, <>, =, <=, >=.

const long DOUBLE_QUOTE_STRING = 0x00000010

A double-quoted string ( "str\"i""ng" ).

Dequoted string in ParseResult::DequotedNameOrString ( str"i"ng ).

const long IDENTNAME = 0x00000004

A name matching the conditions passed.

const long MISSING_QUOTE = 0x40000000

Set (ored) if SINGLE_QUOTE_NAME or DOUBLE_QUOTE_STRING has no closing quote.

const long ONE_SINGLE_CHAR = 0x00000001

One single character like ! # ; : $ et al.

const long SINGLE_QUOTE_NAME = 0x00000008

"A single-quoted name matching the conditions passed ( 'na\'me' )." "Dequoted name in ParseResult::DequotedNameOrString ( na'me )."

const long UNI_NUMBER = 0x00000040

A number where at least some digits are Unicode (and maybe ASCII) characters.

Numerical value inKParseType ParseResult::Value.